Can't Installed Wifi Drivers - Kali Linux

Sakib Ahmed

New Member
Joined
Sep 3, 2020
Messages
3
Reaction score
0
Credits
28
Hello,

I recently upgraded my Kali Linux from 2019.2 to the latest version ( 2020.3 ). Upgraded as in from the terminal, I ran "apt full-upgrade". After upgrading, my WIFI doesn't work. It says "Device Not Ready" under WiFi Networks. I tried every other method available online, nothing works. I downloaded the official drivers from my WiFi adapter website ( Dlink DWA-121 150 Pico ) for Linux, but in the "Read Me" file given, it says "support OS and kernel version : LINUX (kernel 2.6.18 ~ 2.6.37) " , but mine is latest kernel
( 5.7.0-kali3-amd64 ), so I can't install it. :(

Someone please help me figure this out.

Thank You.
 


neskepi

Member
Joined
Oct 24, 2019
Messages
38
Reaction score
18
Credits
110
Hello,

I recently upgraded my Kali Linux from 2019.2 to the latest version ( 2020.3 ). Upgraded as in from the terminal, I ran "apt full-upgrade". After upgrading, my WIFI doesn't work. It says "Device Not Ready" under WiFi Networks. I tried every other method available online, nothing works. I downloaded the official drivers from my WiFi adapter website ( Dlink DWA-121 150 Pico ) for Linux, but in the "Read Me" file given, it says "support OS and kernel version : LINUX (kernel 2.6.18 ~ 2.6.37) " , but mine is latest kernel
( 5.7.0-kali3-amd64 ), so I can't install it. :(

Someone please help me figure this out.

Thank You.
can't you select kernel 2.6 from grub menu?
 
OP
S

Sakib Ahmed

New Member
Joined
Sep 3, 2020
Messages
3
Reaction score
0
Credits
28
can't you select kernel 2.6 from grub menu?

Uhhh.... Technically, Yes. It worked with 4.x too, that is the kernel in 2019.2 Kali. But if I select older kernel will there be any problems with my system ? Then why isn't is working on 5.7 o_O

Thanks for the reply !
 

neskepi

Member
Joined
Oct 24, 2019
Messages
38
Reaction score
18
Credits
110
Uhhh.... Technically, Yes. It worked with 4.x too, that is the kernel in 2019.2 Kali. But if I select older kernel will there be any problems with my system ? Then why isn't is working on 5.7 o_O

Thanks for the reply !
compatibilities issue?
 
$100 Digital Ocean Credit
Get a free VM to test out Linux!

Members online

No members online now.

Top